<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:output method="html" encoding="UTF-8"/>
  
  <xsl:template match="/">
    <html>
      <head>
        <style>
          table {
            border-collapse: collapse;
            width: 100%;
          }
          th, td {
            text-align: left;
            padding: 8px;
            border-bottom: 1px solid #ddd;
          }
          th {
            background-color: #333;
            color: white;
          }
        </style>
      </head>
      <body>
        <table>
          <tr>
            <th>Title</th>
            <td><xsl:value-of select="POEM/Title"/></td>
          </tr>
          <tr>
            <th>Reference</th>
            <td><a href="{POEM/Ref}"><xsl:value-of select="POEM/Ref"/></a></td>
          </tr>
        </table>
        <br/>
        <table>
          <tr>
            <th>Line</th>
            <th>Explanation</th>
          </tr>
          <xsl:apply-templates select="POEM/Line"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="Line">
    <tr>
      <td><xsl:value-of select="text"/></td>
      <td><xsl:value-of select="comment"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>