<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:output method="html" encoding="UTF-8"/>
  
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="POEM/Title"/>
        </title>
        <style>
          body {
            font-family: Georgia, Times, serif;
            line-height: 1.5;
            background-color: #F9F9F9;
            color: #333;
            margin: 0;
            padding: 0;
          }
          h1 {
            font-size: 3em;
            font-weight: bold;
            text-align: center;
            margin-top: 20px;
          }
          p {
            text-align: justify;
            margin: 20px;
            font-size: 1.1em;
            text-indent: 2em;
          }
          .line {
            margin-bottom: 10px;
          }
          .text {
            font-style: italic;
            color: #888;
            margin-right: 10px;
          }
          .comment {
            font-style: normal;
            color: #333;
          }
          a {
            color: #222;
          }
        </style>
      </head>
      <body>
        <h1>
          <xsl:value-of select="POEM/Title"/>
        </h1>
        <table>
          <xsl:apply-templates select="POEM/Line"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="POEM/Line">
    <tr class="line">
      <td class="text">
        <xsl:value-of select="text"/>
      </td>
      <td class="comment">
        <xsl:value-of select="comment"/>
      </td>
    </tr>
  </xsl:template>
  
  <xsl:template match="Ref">
    <p>
      For a more detailed explanation of this poem, please see 
      <a href="{.}">
        <xsl:value-of select="."/>
      </a>
    </p>
  </xsl:template>

</xsl:stylesheet>