<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/">
        <html>
            <head>
                <style type="text/css">
                    table {
                        border-collapse: collapse;
                        width: 100%;
                    }
                    td, th {
                        border: 1px solid black;
                        text-align: left;
                        padding: 8px;
                    }
                    th {
                        font-weight: bold;
                        font-size: larger;
                    }
                    td img {
                        max-width: 100%;
                        height: auto;
                    }
                    td.small {
                        font-size: smaller;
                    }
                    td.italic {
                        font-style: italic;
                    }
                </style>
            </head>
            <body>
                <table>
                    <tr>
                        <th>Brand_Name</th>
                        <th>Product_Name</th>
                    </tr>
                    <xsl:for-each select="Products/Product">
                        <tr>
                            <td>
                                <xsl:apply-templates select="Brand_Name"/>
                            </td>
                            <td>
                                <xsl:apply-templates select="Product_Name"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" class="italic">
                                <xsl:apply-templates select="Long_Description"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <xsl:apply-templates select="Category"/>
                            </td>
                            <td>
                                <xsl:apply-templates select="SubCategory"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <xsl:apply-templates select="Product_Group"/>
                            </td>
                            <td>
                                <xsl:apply-templates select="Thumb_URL"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="small">
                                <xsl:apply-templates select="SKU"/>
                            </td>
                        </tr>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="Brand_Name">
        <b>
            <xsl:value-of select="."/>
        </b>
    </xsl:template>

    <xsl:template match="Thumb_URL">
        <img src="{.}" alt="Product Image"/>
    </xsl:template>

    <xsl:template match="*">
        <xsl:value-of select="."/>
    </xsl:template>

</xsl:stylesheet>